%global rosdistro fuerte
%global stackname ros_comm
%global gitrev fd027fa
Name:           ros-%{rosdistro}-ros-comm
Version:        1.8.15
Release:        3.git%{gitrev}%{?dist}
Summary:        ROS communications-related packages

License:        BSD
URL:            http://www.ros.org/wiki/ros_comm
#wget --content-disposition https://github.com/ros/ros_comm/tarball/1.8.15
Source0:        ros-%{stackname}-%{stackname}-%{version}-0-g%{gitrev}.tar.gz
Patch0:         %{stackname}-1.8.15-boost150.patch
Provides:       ros-%{stackname}%{?_isa} = %{version}-%{release}
Provides:       ros-ros-comm%{?_isa} = %{version}-%{release}

BuildRequires:  gtest-devel
BuildRequires:  cmake
BuildRequires:  apr
BuildRequires:  boost-devel
BuildRequires:  bzip2-devel
BuildRequires:  log4cxx-devel
BuildRequires:  ros-%{rosdistro}-catkin-devel
BuildRequires:  ros-%{rosdistro}-ros-devel
BuildRequires:  ros-%{rosdistro}-genmsg-devel
BuildRequires:  ros-%{rosdistro}-gencpp-devel
BuildRequires:  ros-%{rosdistro}-genlisp-devel
BuildRequires:  ros-%{rosdistro}-genpy-devel
BuildRequires:  ros-%{rosdistro}-std-msgs-devel
BuildRequires:  ros-%{rosdistro}-roscpp-core-devel

BuildRequires:  python-argparse
BuildRequires:  python-setuptools-devel
BuildRequires:  python-paramiko
BuildRequires:  python-yaml

Requires:  cmake
Requires:  python-argparse
Requires:  python-empy
Requires:  python-nose
Requires:  python-rospkg
Requires:  python-setuptools-devel
Requires:  python-yaml

Requires:  ros-%{rosdistro}-std-msgs

%description
ROS communications-related packages, including core client libraries 
(roscpp, rospy, roslisp) and graph introspection tools (rostopic, rosnode, 
rosservice, rosparam).

%package devel
Summary: Development files for %{name}
Provides: ros-%{stackname}%{?_isa} = %{version}-%{release}
Provides: ros-ros-comm%{?_isa} = %{version}-%{release}
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: ros-%{rosdistro}-std-msgs-devel
Requires: boost-devel
Requires: log4cxx-devel

%description devel
%{summary}

%prep
%setup -q -n ros-%{stackname}-%{gitrev}
%patch0 -p0 -b .boost150

%build
source /opt/ros/%{rosdistro}/setup.sh
mkdir build
pushd build
%cmake -DCMAKE_INSTALL_PREFIX:PATH=/opt/ros/fuerte -DSETUPTOOLS_DEB_LAYOUT=OFF ..
popd

%install
source /opt/ros/%{rosdistro}/setup.sh
rm -rf $RPM_BUILD_ROOT
make -C build install DESTDIR=$RPM_BUILD_ROOT
#%{__python} setup.py install --root $RPM_BUILD_ROOT


%files
#%doc
%exclude /opt/ros/%{rosdistro}/share/*/cmake/
/opt/ros/%{rosdistro}/etc/catkin/profile.d/*
/opt/ros/%{rosdistro}/etc/ros/*
/opt/ros/%{rosdistro}/bin/*
/opt/ros/%{rosdistro}/lib/*
/opt/ros/%{rosdistro}/share/common-lisp/ros/*
/opt/ros/%{rosdistro}/share/test*
/opt/ros/%{rosdistro}/share/ros*
/opt/ros/%{rosdistro}/share/perf_roscpp
/opt/ros/%{rosdistro}/share/message_filters
/opt/ros/%{rosdistro}/share/std_srvs
/opt/ros/%{rosdistro}/share/topic_tools
/opt/ros/%{rosdistro}/share/xmlrpcpp
/opt/ros/%{rosdistro}/lib/python?.?/site-packages/*


%files devel
/opt/ros/%{rosdistro}/include/*
/opt/ros/%{rosdistro}/lib/pkgconfig/*.pc
/opt/ros/%{rosdistro}/share/*/cmake/

%changelog
* Tue Mar 19 2013 Rich Mattes <richmattes@gmail.com> - 1.8.15-3.gitfd027fa
- Rebuild for new copr

* Wed Jan 16 2013 Rich Mattes <richmattes@gmail.com> - 1.8.15-2.gitfd027fa
- Remove ros-release dependency

* Sun Jan 13 2012 Rich Mattes <richmattes@gmail.com> - 1.8.15-1.gitfd027fa
- Initial package
